Skip to main content
`Ctrl`+`K`

# DMStagVecRestoreArray

restore access to a raw array

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagVecRestoreArray(DM dm, Vec vec, void *array)

Logically Collective

## Input Parameters

- dm - the `DMSTAG` object

- vec - the `Vec` object

## Output Parameter

- array - the array

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagVecGetArray()`, `DMDAVecRestoreArray()`, `DMDAVecRestoreArrayDOF()`

## Level

beginner

## Location

src/dm/impls/stag/stagutils.c

## Examples

src/dm/impls/stag/tutorials/ex2.c
src/dm/impls/stag/tutorials/ex3.c
src/dm/impls/stag/tutorials/ex6.c
src/dm/impls/stag/tutorials/ex1.c
src/dm/impls/stag/tutorials/ex4.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages